#ifndef MEDICALRECORDMANAGER_H
#define MEDICALRECORDMANAGER_H

/*
    des:病例管理--不部分完成
    date:20241028
*/
#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
#include <QGroupBox>
#include <QCheckBox>
#include <QDateEdit>
#include <QTableWidget>
#include <QTabWidget>

#include <QHeaderView>
#include <QAction>
class  MedicalRecordManager:public QWidget
{
    Q_OBJECT
public:
    explicit MedicalRecordManager(QWidget * parent =NULL);
    virtual ~MedicalRecordManager();

    void  init();
    void  initLay();
    bool  initConnect();
    QTableWidget m_tableWidget;
    void initTable();
private:
    QAction * m_actSearch;
    QLineEdit m_editSearch;
    //打开
   QPushButton m_btnOpen;
   //编辑
   QPushButton m_btnEdit;
   //导出
   QPushButton m_btnExport;
   //删除
   QPushButton m_btnDelete;
   //上一页
   QPushButton m_btnUpPage;
   //下一页
   QPushButton m_btnNetPage;
   //首页
   QPushButton m_btnfirstPage;
   //尾页
   QPushButton m_btnlastPage;

};


#endif // MEDICALRECORDMANAGER_H
